/*
 * Copyright (C) 2006 by egnite Software GmbH. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. Neither the name of the copyright holders nor the names of
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
 * FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF
 * THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * For additional information see http://www.ethernut.de/
 *
 */

#include <dev/nvmem.h>

/*
 * Read data from non-volatile memory.
 *
 * This routine provides platform independent access to non-volatile
 * configuration data.
 *
 * param addr Location to read from.
 * param buff Pointer to a buffer that receives the data.
 * param siz  Number of bytes to read.
 *
 * return 0 on success, -1 otherwise.
 */
int NutNvMemLoad(unsigned int addr, void *buff, size_t siz)
{
   (void)addr;
   (void)buff;
   (void)siz;
   
   return(-1);
}

/*
 * Save data in non-volatile memory.
 *
 * This routine provides platform independent access to non-volatile
 * configuration data.
 *
 * param addr Location to write to.
 * param buff Pointer to a buffer that contains the data.
 * param siz  Number of bytes to write.
 *
 * return 0 on success, -1 otherwise.
 */
int NutNvMemSave(unsigned int addr, const void *buff, size_t siz)
{
   (void)addr;
   (void)buff;
   (void)siz;

   return(0);
}

/*** EOF ***/

